메인 콘텐츠로 건너뛰기
POST
/
v2
/
webhook
/
endpoint
엔드포인트 - 생성
curl --request POST \
  --url https://api.chainstream.io/v2/webhook/endpoint \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com",
  "channels": [
    "sol.token.migrated"
  ],
  "description": "Webhook description",
  "disabled": false,
  "filter": "<string>",
  "filterTypes": [
    "<string>"
  ],
  "metadata": {
    "key": "value"
  },
  "rateLimit": 1000,
  "secret": "<string>"
}
'
{
  "id": "ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2",
  "url": "https://example.com",
  "channels": [
    "sol.token.migrated"
  ],
  "createdAt": "2021-01-01T00:00:00.000Z",
  "description": "Webhook description",
  "disabled": false,
  "filter": "<string>",
  "filterTypes": [
    "<string>"
  ],
  "metadata": {
    "key": "value"
  },
  "rateLimit": 1000,
  "updatedAt": "2021-01-01T00:00:00.000Z"
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

application/json

Request to create a webhook endpoint

url
string
필수

Webhook 수신 URL

예시:

"https://example.com"

channels
enum<string>[] | null

구독할 Webhook 이벤트 채널

Webhook event channel

사용 가능한 옵션:
sol.token.migrated,
sol.token.created
description
string | null

엔드포인트 설명

예시:

"Webhook description"

disabled
boolean | null

엔드포인트 비활성화 여부

예시:

false

filter
string | null

이벤트 필터 설정

filterTypes
string[] | null

이벤트 유형 필터

metadata
object

엔드포인트 메타데이터

예시:
{ "key": "value" }
rateLimit
integer<int32> | null

엔드포인트 속도 제한

필수 범위: x >= 0
예시:

1000

secret
string | null

엔드포인트 서명 시크릿

응답

200 - application/json

성공 응답

Webhook endpoint response

id
string
필수

엔드포인트 내부 ID

예시:

"ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2"

url
string
필수

Webhook 수신 URL

예시:

"https://example.com"

channels
enum<string>[] | null

구독할 Webhook 이벤트 채널

Webhook event channel

사용 가능한 옵션:
sol.token.migrated,
sol.token.created
createdAt
string | null

엔드포인트 생성 타임스탬프

예시:

"2021-01-01T00:00:00.000Z"

description
string | null

엔드포인트 설명

예시:

"Webhook description"

disabled
boolean | null

엔드포인트 비활성화 여부

예시:

false

filter
string | null

이벤트 필터 설정

filterTypes
string[] | null

이벤트 유형 필터

metadata
object

엔드포인트 메타데이터

예시:
{ "key": "value" }
rateLimit
integer<int32> | null

엔드포인트 속도 제한

필수 범위: x >= 0
예시:

1000

updatedAt
string | null

엔드포인트 마지막 업데이트 타임스탬프

예시:

"2021-01-01T00:00:00.000Z"